pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT > Class Template Reference
Module outofcore

`#include <pcl/outofcore/outofcore_breadth_first_iterator.h>`

Inheritance diagram for pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >:

## Public Types

typedef pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT > | OctreeDisk
typedef pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT > | OctreeDiskNode
typedef pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT > | LeafNode
typedef pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT > | BranchNode
Public Types inherited from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >
typedef pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT > | OctreeDisk
typedef pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT > | OctreeDiskNode
typedef pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::BranchNode | BranchNode
typedef pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::LeafNode | LeafNode
typedef OctreeDisk::OutofcoreNodeType | OutofcoreNodeType

## Public Member Functions

| OutofcoreBreadthFirstIterator (OctreeDisk &octree_arg)
virtual | ~OutofcoreBreadthFirstIterator ()
OutofcoreBreadthFirstIterator & | operator++ ()
OutofcoreBreadthFirstIterator | operator++ (int)
virtual void | reset ()
void | skipChildVoxels ()
Public Member Functions inherited from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >
| OutofcoreIteratorBase (OctreeDisk &octree_arg)
virtual | ~OutofcoreIteratorBase ()
| OutofcoreIteratorBase (const OutofcoreIteratorBase &src)
OutofcoreIteratorBase & | operator= (const OutofcoreIteratorBase &src)
OutofcoreNodeType * | operator* () const
virtual OutofcoreNodeType * | getCurrentOctreeNode () const
void | setMaxDepth (unsigned int max_depth)

## Protected Attributes

std::deque< OctreeDiskNode * > | FIFO_
| FIFO list. More...
bool | skip_child_voxels_
Protected Attributes inherited from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >
OctreeDisk & | octree_
OctreeDiskNode * | currentNode_
unsigned int | currentOctreeDepth_
unsigned int | max_depth_

## Detailed Description

### template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>
class pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >

Author
  Justin Rosen (jmyle.nosp@m.sros.nosp@m.en@gm.nosp@m.ail..nosp@m.com)

Note
  Code adapted from octree_iterator.h in Module pcl::octree written by Julius Kammerl

Definition at line 55 of file outofcore_breadth_first_iterator.h.

## Member Typedef Documentation

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

typedef pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT> pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::BranchNode

Definition at line 62 of file outofcore_breadth_first_iterator.h.

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

typedef pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT> pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::LeafNode

Definition at line 61 of file outofcore_breadth_first_iterator.h.

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

typedef pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT> pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::OctreeDisk

Definition at line 58 of file outofcore_breadth_first_iterator.h.

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

typedef pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT> pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::OctreeDiskNode

Definition at line 59 of file outofcore_breadth_first_iterator.h.

## Constructor & Destructor Documentation

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::OutofcoreBreadthFirstIterator | ( | OctreeDisk & | octree_arg | ) |

explicit

Definition at line 48 of file outofcore_breadth_first_iterator.hpp.

References pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::reset().

template<typename PointT , typename ContainerT >

pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::~OutofcoreBreadthFirstIterator | ( |  | ) |

virtual

Definition at line 57 of file outofcore_breadth_first_iterator.hpp.

## Member Function Documentation

template<typename PointT , typename ContainerT >

OutofcoreBreadthFirstIterator< PointT, ContainerT > & pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::operator++ | ( |  | ) |

Definition at line 65 of file outofcore_breadth_first_iterator.hpp.

References pcl::octree::BRANCH_NODE, pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentNode_, pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::FIFO_, pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::getBranchChildPtr(), pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >::getDepth(), pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >::getNodeType(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::max_depth_, pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::octree_, and pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::skip_child_voxels_.

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

OutofcoreBreadthFirstIterator pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::operator++ | ( | int |  | ) |

inline

Definition at line 75 of file outofcore_breadth_first_iterator.h.

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

virtual void pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::reset | ( |  | ) |

inline virtual

Reimplemented from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >.

Definition at line 83 of file outofcore_breadth_first_iterator.h.

References pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentNode_, pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::FIFO_, pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::reset(), and pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::skip_child_voxels_.

Referenced by pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::OutofcoreBreadthFirstIterator().

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

void pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::skipChildVoxels | ( |  | ) |

inline

Definition at line 96 of file outofcore_breadth_first_iterator.h.

References pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::skip_child_voxels_.

## Member Data Documentation

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

std::deque<OctreeDiskNode*> pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::FIFO_

protected

FIFO list.

Definition at line 103 of file outofcore_breadth_first_iterator.h.

Referenced by pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::operator++(), and pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::reset().

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

bool pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::skip_child_voxels_

protected

Definition at line 104 of file outofcore_breadth_first_iterator.h.

Referenced by pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::operator++(), pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::reset(), and pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::skipChildVoxels().

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/outofcore/include/pcl/outofcore/outofcore_breadth_first_iterator.h
- /build/pcl-6_P28C/pcl-1.7.2/outofcore/include/pcl/outofcore/impl/outofcore_breadth_first_iterator.hpp